
%define		module	Cython

Summary:	Language for writing Python Extension Modules (Python 3.x version)
Summary(pl.UTF-8):	Język służący do pisania modułów rozszerzających Pythona (wersja dla Pythona 3.x)
Name:		python3-%{module}
Version:	0.17.4
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
Source0:	http://www.cython.org/release/%{module}-%{version}.tar.gz
# Source0-md5:	cb11463e3a0c8d063e578db64ff61dde
URL:		http://www.cython.org/
BuildRequires:	python3
BuildRequires:	python3-2to3
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python3-libs
%pyrequires_eq	python3-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautocompressdoc	*.c

%description
Cython lets you write code that mixes Python and C data types any way
you want, and compiles it into a C extension for Python. Cython is
based on Pyrex.

This package contains Cython module for Python 3.x.

%description -l pl.UTF-8
Pyrex pozwala pisać kod zawierający dane Pythona i języka C połączone
w jakikolwiek sposób i kompiluje to jako rozszerzenie C dla Pythona.
Cython jest oparty na Pyreksie.

Ten pakiet zawiera moduł Cython dla Pythona 3.x.

%package examples
Summary:	Examples for Cython language
Summary(pl.UTF-8):	Przykłady programów w języku Cython
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs for Cython language.

%description examples -l pl.UTF-8
Pakiet zawierający przykładowe programy napisane w języku Cython.

%prep
%setup -q -n %{module}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__python3} setup.py install \
	--root=$RPM_BUILD_ROOT \
	-O2

cp -a Demos/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

mv $RPM_BUILD_ROOT%{_bindir}/cython{,3}
mv $RPM_BUILD_ROOT%{_bindir}/cygdb{,3}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING.txt README.txt ToDo.txt USAGE.txt Doc/*.html Doc/*.c
%attr(755,root,root) %{_bindir}/cython3
%attr(755,root,root) %{_bindir}/cygdb3
%{py3_sitedir}/cython.py
%{py3_sitedir}/__pycache__/cython.*
%{py3_sitedir}/Cython
%{py3_sitedir}/pyximport
%{py3_sitedir}/Cython-*.egg-info

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Jan 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 201fbcf
- updated to 0.17.4

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 2fd5fd3
- updated to 0.17.3

* Sat Nov 24 2012 wrobell <wrobell@pld-linux.org> 9baf007
- ver. 0.17.2

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1c21e12
- release 2 (by relup.sh)

* Sun Oct 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 4edd50f
- updated to 0.17.1
- merged fixes from python-Cython (License, -examples description)

* Thu Sep 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 4038d28
- updated to 0.17

* Tue Jun 05 2012 Jakub Bogusz <qboosh@pld-linux.org> c2477ea
- updated to 0.16

* Sun Nov 13 2011 Jakub Bogusz <qboosh@pld-linux.org> c428870
- updated to 0.15.1

* Fri Jul 15 2011 Jacek Konieczny <jajcus@pld-linux.org> f57c71d
- Release: 2

* Sun May 22 2011 wrobell <wrobell@pld-linux.org> 3eaca2a
- ver. 0.14.1
- the module contains *.so, therefore moved to py_sitedir

* Wed May 12 2010 sparky <sparky@pld-linux.org> 42b881d
- BR: python3-devel, python3-modules

* Thu Mar 11 2010 Artur Frysiak <artur@frysiak.net> 2be7968
- BR python3-distribute

* Thu Mar 11 2010 Artur Frysiak <artur@frysiak.net> 2c601fd
- python3 version

